Bug 470626 - (balance) Review Request: balance - TCP load-balancing proxy server with round robin and failover mechanisms
Review Request: balance - TCP load-balancing proxy server with round robin a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 20:59 EST by Itamar Reis Peixoto
Modified: 2009-10-26 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 08:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2008-11-07 20:59:21 EST
Spec URL: http://ispbrasil.com.br/balance/balance.spec
SRPM URL: http://ispbrasil.com.br/balance/balance-3.42-2.fc8.src.rpm

Description:
Balance is a simple but powerful generic tcp proxy with round robin
load balancing and failover mechanisms.  The program behaviour can
be controlled at runtime using a simple command line syntax.
Comment 1 Fabian Affolter 2008-11-10 13:13:31 EST
Some comments on your spec file:

- 'Patch0: disable_IPV6_V6ONLY_check_for_now.patch' Where is patch coming from?
  https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus

- Where is balance.pdf (manual page) from the source going?  I thinks that this pdf is not really necessary but what are the guidelines telling?

- You can simplify your %build section if you like by summarize the commands

mkdir -p %{buildroot}%{_sbindir}
install -m 755 balance  %{buildroot}%{_sbindir}/%{name}
->
install -Dp -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}

and

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 balance.1 %{buildroot}%{_mandir}/man1
->
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

- %dir /var/run/balance should be ->  %dir %{_localstatedir}/run/%{name}
  %{_localstatedir} is mandatory, using the %{name} macro optional
  Package consistently uses macros.
Comment 2 Itamar Reis Peixoto 2008-11-10 15:43:02 EST
disable_IPV6_V6ONLY_check_for_now.patch, I am disabling ipv6 for now because the #if def code is not working ,  I will contact upstream about how to put balance to work with ipv6, 

about the file balance.pdf, it's have the same content as man1 (man balance), for me it doesn't need to be packaged.

about the macros, fixed.

http://ispbrasil.com.br/balance/balance.spec
http://ispbrasil.com.br/balance/balance-3.42-3.fc8.src.rpm
Comment 3 Fabian Affolter 2008-11-10 16:49:58 EST
(In reply to comment #2)
> disable_IPV6_V6ONLY_check_for_now.patch, I am disabling ipv6 for now because
> the #if def code is not working ,  I will contact upstream about how to put
> balance to work with ipv6, 

Don't explain me :-) Add this to the spec file.
Comment 4 Itamar Reis Peixoto 2008-11-11 08:06:00 EST
> Don't explain me :-) Add this to the spec file.

I agree, fixed.

http://ispbrasil.com.br/balance/balance.spec
http://ispbrasil.com.br/balance/balance-3.42-4.fc10.src.rpm
Comment 5 Fabian Affolter 2008-11-15 05:53:17 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary RPMs on at least one supported architecture.
     Tested on: F9/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop024 SRPMS]$ rpmlint balance-3.42-4.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPMs:
     [fab@laptop024 i386]$ rpmlint balance-3.42-4.fc9.i386.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM upstream:   24bc4063e8af298471d7d0a2ac7462a6
     SHA1SUM of package: 24bc4063e8af298471d7d0a2ac7462a6
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [-] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary RPMs on all supported architectures.
     Tested  F9: http://koji.fedoraproject.org/koji/taskinfo?taskID=934305
     Tested F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=934333
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

I see no further blocker, package APPROVED
Comment 6 Itamar Reis Peixoto 2008-11-15 08:26:06 EST
New Package CVS Request
=======================
Package Name: balance
Short Description: TCP load-balancing proxy server with round robin and failover mechanisms
Owners: itamarjp
Branches: F-10 F-9
InitialCC:
Comment 7 Kevin Fenzi 2008-11-16 15:18:14 EST
cvs done.
Comment 8 Fedora Update System 2008-11-16 16:34:06 EST
balance-3.42-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/balance-3.42-4.fc10
Comment 9 Fedora Update System 2008-11-22 11:49:17 EST
balance-3.42-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update balance'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-9975
Comment 10 Fedora Update System 2008-12-08 08:04:53 EST
balance-3.42-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Itamar Reis Peixoto 2009-10-24 16:06:38 EDT
Package Change Request
======================
Package Name: balance
New Branches: EL-4 EL-5
Owners: itamarjp
Comment 12 Kevin Fenzi 2009-10-26 16:19:01 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.